For the complete documentation index, see llms.txt. This page is also available as Markdown.

Kullanıcı Filtreleme

Bu alan, tüm kullanıcılar için GroupsAPI ile filtreleme işlemini gösterir.

Aşağıdaki alanda filtreme işleminde kullanabileceğiniz tüm parametrelerin listesini görebilirsiniz:

Parametre
Tip

name

string

surname

string

email

string

username

string

user_id

string

role

string

mobile

string

page_size

integer

page_number

integer

Tüm parametrelerden sonra aşağıdaki şekilde parametre olarak USER_ID vererek kullanıcı filtreleme işlemi yapabilirsiniz:

curl --location --request GET 'https://<DOMAIN>/xapi/user' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: x-www-form-urlencoded' \
--data-urlencode 'name=john' \
--data-urlencode 'username=doe'

İlk olarak Python SDK'sı yüklenmelidir:

pip install perculus-sdk

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde kullanıcı arama işlemi yapabilirsiniz:

from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Search user 
user = client.users.search_user({
                "name": "john",
                "surname": "Doe"
          })
print(user)

İstek sonrasında aşağıdaki örnek response modelini görebilirsiniz:

[
    {
        "user_id": "<USER_ID>",
        "name": "john",
        "surname": "Doe",
        "username": "johndoe",
        "email": "john@doe.com",
        "role": "u",
        "mobile": "",
        "login_allowed": true,
        "status": 1,
        "lang": "tr-TR",
        "timezone": null,
        "expires_at": null,
        "creation_date": "2024-08-01T00:45:03.8888474+00:00",
        "updating_date": null
    }
]

Last updated